From: Punit Agrawal <punit1.agrawal@toshiba.co.jp>
Date: Thu, 8 Apr 2021 14:14:49 +0900
Subject: Install cmake file in multiarch aware location

---
 CMakeLists.txt                                 | 4 ++--
 buffer-object/CMakeLists.txt                   | 2 +-
 dpu-controller/CMakeLists.txt                  | 2 +-
 dpu-controller/runner-assistant/CMakeLists.txt | 2 +-
 dpu-runner/CMakeLists.txt                      | 2 +-
 mem-manager/CMakeLists.txt                     | 2 +-
 runner/CMakeLists.txt                          | 2 +-
 util/CMakeLists.txt                            | 2 +-
 xrt-device-handle/CMakeLists.txt               | 2 +-
 9 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index d26fa73..7931cdb 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -59,7 +59,7 @@ foreach(COMPONENT ${PACKAGE_COMPONENTS})
 endforeach()
 
 file(RELATIVE_PATH REL_INCLUDE_DIR
-  ${CMAKE_INSTALL_PREFIX}/share/cmake/${PROJECT_NAME}
+  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
   ${CMAKE_INSTALL_PREFIX}/include)
 set(CONF_INCLUDE_DIRS "\${${PROJECT_NAME}_CMAKE_DIR}/${REL_INCLUDE_DIR}")
 configure_file(cmake/config.cmake.in
@@ -75,7 +75,7 @@ install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
   "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
   COMPONENT base
-  DESTINATION share/cmake/${PROJECT_NAME})
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
 set(CPACK_PACKAGE_NAME "libvart")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Vitis Ai RuntTime")
diff --git a/buffer-object/CMakeLists.txt b/buffer-object/CMakeLists.txt
index 1484182..89cafb5 100644
--- a/buffer-object/CMakeLists.txt
+++ b/buffer-object/CMakeLists.txt
@@ -111,7 +111,7 @@ install(
   EXPORT ${COMPONENT_NAME}-targets
   COMPONENT dpu
   NAMESPACE ${PROJECT_NAME}::
-  DESTINATION share/cmake/${PROJECT_NAME})
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
 
 if(BUILD_TEST)
diff --git a/dpu-controller/CMakeLists.txt b/dpu-controller/CMakeLists.txt
index 79685b9..dd9c352 100644
--- a/dpu-controller/CMakeLists.txt
+++ b/dpu-controller/CMakeLists.txt
@@ -96,7 +96,7 @@ install(
   EXPORT ${COMPONENT_NAME}-targets
   NAMESPACE ${PROJECT_NAME}::
   COMPONENT dpu
-  DESTINATION share/cmake/${PROJECT_NAME})
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
 
   add_executable(show_dpu test/show_dpu.cpp)
diff --git a/dpu-controller/runner-assistant/CMakeLists.txt b/dpu-controller/runner-assistant/CMakeLists.txt
index b5114ab..a35725e 100644
--- a/dpu-controller/runner-assistant/CMakeLists.txt
+++ b/dpu-controller/runner-assistant/CMakeLists.txt
@@ -68,7 +68,7 @@ install(
   EXPORT ${COMPONENT_NAME}-targets
   NAMESPACE ${PROJECT_NAME}::
   COMPONENT dpu
-  DESTINATION share/cmake/${PROJECT_NAME})
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
 if(XRT_FOUND)
   install(FILES
diff --git a/dpu-runner/CMakeLists.txt b/dpu-runner/CMakeLists.txt
index 1b6739d..bbbf7d4 100644
--- a/dpu-runner/CMakeLists.txt
+++ b/dpu-runner/CMakeLists.txt
@@ -114,7 +114,7 @@ install(
   EXPORT ${COMPONENT_NAME}-targets
   NAMESPACE ${PROJECT_NAME}::
   COMPONENT dpu
-  DESTINATION share/cmake/${PROJECT_NAME})
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
 # install(DIRECTORY samples DESTINATION share/vart)
 
diff --git a/mem-manager/CMakeLists.txt b/mem-manager/CMakeLists.txt
index 3999d75..4ba2f47 100644
--- a/mem-manager/CMakeLists.txt
+++ b/mem-manager/CMakeLists.txt
@@ -50,7 +50,7 @@ install(
   EXPORT ${COMPONENT_NAME}-targets
   NAMESPACE ${PROJECT_NAME}::
   COMPONENT base
-  DESTINATION share/cmake/${PROJECT_NAME})
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
 # if(BUILD_TEST)
 #   include_directories(${CMAKE_CURRENT_SOURCE_DIR}/test)
diff --git a/runner/CMakeLists.txt b/runner/CMakeLists.txt
index f829dc2..ba79360 100644
--- a/runner/CMakeLists.txt
+++ b/runner/CMakeLists.txt
@@ -98,7 +98,7 @@ install(
   EXPORT ${COMPONENT_NAME}-targets
   NAMESPACE ${PROJECT_NAME}::
   COMPONENT base
-  DESTINATION share/cmake/${PROJECT_NAME})
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
 if(BUILD_TEST)
   include_directories(${CMAKE_CURRENT_SOURCE_DIR}/test)
diff --git a/util/CMakeLists.txt b/util/CMakeLists.txt
index 277b908..ea4a48f 100644
--- a/util/CMakeLists.txt
+++ b/util/CMakeLists.txt
@@ -72,7 +72,7 @@ install(
   EXPORT ${COMPONENT_NAME}-targets
   NAMESPACE ${PROJECT_NAME}::
   COMPONENT base
-  DESTINATION share/cmake/${PROJECT_NAME})
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
 if(NOT CMAKE_SYSTEM_NAME STREQUAL "QNX")
   set(TOOL_NAME "vart_version")
diff --git a/xrt-device-handle/CMakeLists.txt b/xrt-device-handle/CMakeLists.txt
index 6cd38f5..376c250 100644
--- a/xrt-device-handle/CMakeLists.txt
+++ b/xrt-device-handle/CMakeLists.txt
@@ -112,7 +112,7 @@ install(
   EXPORT ${COMPONENT_NAME}-targets
   NAMESPACE ${PROJECT_NAME}::
   COMPONENT dpu
-  DESTINATION share/cmake/${PROJECT_NAME})
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/include/xir/xrt_device_handle.hpp
   COMPONENT dpu
